OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
LeafManager< TreeT >::LeafRange Class Reference

`#include <openvdb/tree/LeafManager.h>`

## Classes
class | Iterator

## Public Member Functions
| LeafRange (size_t begin, size_t end, const LeafManager &leafManager, size_t grainSize=1)
Iterator | begin () const
Iterator | end () const
size_t | size () const
size_t | grainsize () const
const LeafManager & | leafManager () const
bool | empty () const
bool | is_divisible () const
| LeafRange (LeafRange &r, tbb::split)

## Constructor & Destructor Documentation

## ◆ LeafRange() [1/2]

template<typename TreeT >

LeafRange | ( | size_t | begin,
|  | size_t | end,
|  | const LeafManager & | leafManager,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## ◆ LeafRange() [2/2]

template<typename TreeT >

LeafRange | ( | LeafRange & | r,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ begin()

template<typename TreeT >

Iterator begin | ( |  | ) | const
| inline

## ◆ empty()

template<typename TreeT >

bool empty | ( |  | ) | const
| inline

## ◆ end()

template<typename TreeT >

Iterator end | ( |  | ) | const
| inline

## ◆ grainsize()

template<typename TreeT >

size_t grainsize | ( |  | ) | const
| inline

## ◆ is_divisible()

template<typename TreeT >

bool is_divisible | ( |  | ) | const
| inline

## ◆ leafManager()

template<typename TreeT >

const LeafManager & leafManager | ( |  | ) | const
| inline

## ◆ size()

template<typename TreeT >

size_t size | ( |  | ) | const
| inline